jpush_flutter 3.0.1 copy "jpush_flutter: ^3.0.1" to clipboard
jpush_flutter: ^3.0.1 copied to clipboard

JIGUANG officially supported JPush Flutter plugin (Android & iOS). 极光推送官方支持的 Flutter 插件(Android & iOS)(https://www.jiguang.cn).

QQ Group

JPush Flutter Plugin #

flutter 3.0 请切换至 dev-3.x 分支。

安装 #

在工程 pubspec.yaml 中加入 dependencies

  
//github  集成
dependencies:
  jpush_flutter:
    git:
      url: git://github.com/jpush/jpush-flutter-plugin.git
      ref: dev-3.x
      
// pub 集成
dependencies:
  jpush_flutter: 3.0.0

配置 #

Android:

/android/app/build.gradle 中添加下列代码:

android: {
  ....
  defaultConfig {
    applicationId "替换成自己应用 ID"
    ...
    manifestPlaceholders = [
        JPUSH_PKGNAME : applicationId,
        JPUSH_APPKEY : "appkey", // NOTE: JPush 上注册的包名对应的 Appkey.
        JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
    ]
  }    
iOS:
  • 在 xcode8 之后需要点开推送选项: TARGETS -> Capabilities -> Push Notification 设为 on 状态

使用 #

import 'package:jpush_flutter/jpush_flutter.dart';

APIs #

注意 : 需要先调用 JPush.setup 来初始化插件,才能保证其他功能正常工作。

参考

80
likes
115
pub points
95%
popularity

Publisher

unverified uploader

JIGUANG officially supported JPush Flutter plugin (Android & iOS). 极光推送官方支持的 Flutter 插件(Android & iOS)(https://www.jiguang.cn).

Homepage

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on jpush_flutter